#!/bin/sh

#  galitz@berkeley.edu  2004
#  
#  This is a simple script which simply adds 
#  a bunch of default queues (one per node)
#  according to your site requirements
#
#  NOTES:
#  03/2005 modified for warewulf 2.4.x




T=/tmp/wwnodes.scratchfile
Q=/tmp/wwtemp.qconf


qconf -sq > $Q

echo "---------------------------------------------"
echo "This script should be run *after* your nodes"
echo "have been added to the cluser."
echo "We will now launch vi so you can edit the"
echo "queue configuration to suit your needs."
echo "Pay special attention to the number of job"
echo "slots."
echo -n
echo "Press ENTER to continue"

read ANS

sed /template/d < $Q > $Q.1
sed /unknown/d < $Q.1 > $Q.2

/bin/vi $Q.2

echo "Now adding execution hosts and queues."

for i in `wwlist -q`
do	
	echo "hostname 		$i " > $T
	echo "load_scaling 	NONE " >> $T
	echo "complex_list	NONE" >> $T
	echo "complex_values	NONE" >> $T
	echo "user_lists	NONE" >> $T
	echo "xuser_lists	NONE" >> $T
	qconf -Ae $T
	echo "qname 	$i" > $Q.3
	echo "hostname	$i" >> $Q.3
	cat $Q.2 >> $Q.3
	qconf -Aq $Q.3
done


rm $Q
rm $Q.1
rm $Q.2
rm $Q.3
